Ticket #17114

vfs.txt の和訳について (フォーラムメッセージ #43435 からの引用)

Open Date: 2009-06-04 08:26 Last Update: 2019-07-28 09:23

Reporter:
Owner:
(None)
Status:
Closed
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

フォーラム JF Project 掲示板 [#43435] からの引用

[forum: 43435]

はじめまして。mshio と申します。 「Linux 仮想ファイルシステム概説」を拝見しまして、ひょっとしたら、と思った点を ご連絡したいと思います。 「ディレクトリエントリキャッシュ(dcache)」の節、最初の段落の中頃に

VFS に より、特定のパス名 (ファイル名) を特定の dentry に変換する極めて高速の検索 メカニズムが提供されています。

とある箇所がありますが、原文の

This provides a very fast look-up mechanism to translate a pathname (filename) into a specific dentry.

の「This」が指しているのは、もしかしたら、前の文の最後に出てくる「directory entry cache」のことを指しているのではないか、と思いました。つまり、この文は、 ディレクトリエントリキャッシュの説明なのではないか、というわけです。 見当違いでしたら、お騒がせで申し訳ございません。 以上です。

Ticket History (3/4 Histories)

2009-06-04 08:26 Updated by: yasikoba
  • New Ticket "vfs.txt の和訳について (フォーラムメッセージ [#43435] からの引用)" created
2009-06-04 08:28 Updated by: yasikoba
  • Component Update from (None) to カーネル付属文書
2011-04-15 22:25 Updated by: hmatrjp
Comment

mshio さんのご指摘、合っていると思います。

該当箇所の後に続く文に

Dentries live in RAM and are never saved to disc: they exist only for performance.

とあります。 dentry が性能の向上に寄与しているという一連の記述の中で、 そのように解釈するのが自然だと思います。

2019-07-28 09:23 Updated by: hmatrjp
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
  • Details Updated
Comment

すっかり亀レスですが、 vfs.txt で該当部分の修正が済んでいるようですので、チケットを閉じます。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login